/*
 *  Copyright (C) 2006-2007 Daniel Bessler <danielb@kiba-dock.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA.
 *
 *  Author : Daniel Bessler <danielb@kiba-dock.org>
*/

#ifndef __KIBA_KEY_FILE_H__
#define __KIBA_KEY_FILE_H__

#include <gtk/gtk.h>

G_BEGIN_DECLS

void kiba_key_file_launch (GKeyFile  *keyfile);

void kiba_key_file_launch_at_path (const char *path);

char* kiba_key_file_get_desktop_entry_at_path (const char *filename,
                                               const char *key);

char* kiba_key_file_get_desktop_entry (GKeyFile   *file,
                                       const char *key);

gboolean kiba_key_file_write_desktop_entry (const char  *desktop_file,
                                            const char  *desktop_entry,
                                            const char  *new_value);

gboolean kiba_key_file_write_locale_desktop_entry (const char *desktop_file,
						   const char *desktop_entry,
						   const char *new_value);

gboolean kiba_key_file_add_missing_desktop_entries (const char  *uri,
                                                    const char  *key_entry_group,
                                                    const char  **fields,
                                                    int         elements);

G_END_DECLS

#endif
