/*
 *  Copyright (C) 2007 Daniel Bessler <danielb@kiba-dock.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA.
 *
 *  Author : Daniel Bessler <danielb@kiba-dock.org>
*/

#ifndef __KIBA_MACROS_H__
#define __KIBA_MACROS_H__

/* flags macro's */
#define SET_FLAG(s,x) (s |= (1 << x))
#define DEL_FLAG(s,x) (s = s & ~(1<<x))
#define GET_FLAG(s,x) (s & (1<<x))

#define ICON_THEME      gtk_icon_theme_get_default ()
#define SECOND_INTERVAL 1000
#define MINUTE_INTERVAL 60000

#define PIXMAP_PATH     "/usr/share/pixmaps"

#define KIBA_ICON_PATH  DATADIR"/kiba-dock/icons"

#define TIMETRAP(name, function) \
	struct timeval tv1; \
	gettimeofday(&tv1, NULL); \
	function; \
	struct timeval tv2; \
	gettimeofday(&tv2, NULL);  \
	fprintf (stderr, "Operation %s took %ld Mikroseconds\n", \
		    name, (tv2.tv_usec-tv1.tv_usec));

#endif
